# Generated from lewagon-0.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name lewagon

Name: rubygem-%{gem_name}
Version: 0.0.1
Release: 1%{?dist}
Summary: Easily generate fake data
License: MIT
URL: https://github.com/danielppolo/faker_lewagon
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.3
# BuildRequires: rubygem(minitest) = 5.14.0
# BuildRequires: rubygem(pry) = 0.13.1
# BuildRequires: rubygem(rubocop) = 0.81.0
# BuildRequires: rubygem(simplecov) = 0.17.1
# BuildRequires: rubygem(test-unit) = 3.3.5
# BuildRequires: rubygem(timecop) = 0.9.1
# BuildRequires: rubygem(yard) = 0.9.24
BuildArch: noarch

%description
LeWagon, a port of Data::LeWagon from Perl, is used to easily generate fake
data: names, addresses, phone numbers, etc.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{_bindir}/lewagon
%license %{gem_instdir}/License.txt
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/History.md
%doc %{gem_instdir}/README.md

%changelog
* Mon Sep 13 2021 mockbuilder - 0.0.1-1
- Initial package
